# IpRange Class Reference
[IP related utilities]

Inheritance diagram for IpRange:
[legend]

List of all members.

## Public Member Functions

| __construct (IpAddress $startIp, IpAddress $endIp)
| getStart ()
| setStart (IpAddress $startIp)
| getEnd ()
| setEnd (IpAddress $endIp)
| contains ($probe)

## Static Public Member Functions

static | create (IpAddress $startIp, IpAddress $endIp)

## Private Attributes

| $startIp = null
| $endIp = null

## Detailed Description

Definition at line 15 of file IpRange.class.php.

## Constructor & Destructor Documentation

IpRange::__construct | ( | IpAddress $ | startIp,
|  | IpAddress $ | endIp |
| ) |  |  |

Definition at line 28 of file IpRange.class.php.

References IpAddress::getLongIp().

Here is the call graph for this function:

## Member Function Documentation

IpRange::contains | ( | $ | probe | ) |

Implements SingleRange.

Definition at line 75 of file IpRange.class.php.

References Assert::isInstance().

Here is the call graph for this function:

static IpRange::create | ( | IpAddress $ | startIp,
|  | IpAddress $ | endIp |
| ) |  |  | `[static]`

Returns:
  IpRange

Definition at line 23 of file IpRange.class.php.

IpRange::getEnd | ( |  | ) |

Returns:
  IpAddress

Implements SingleRange.

Definition at line 60 of file IpRange.class.php.

IpRange::getStart | ( |  | ) |

Returns:
  IpAddress

Implements SingleRange.

Definition at line 42 of file IpRange.class.php.

IpRange::setEnd | ( | IpAddress $ | endIp | ) |

Returns:
  IpRange

Definition at line 68 of file IpRange.class.php.

IpRange::setStart | ( | IpAddress $ | startIp | ) |

Returns:
  IpRange

Definition at line 50 of file IpRange.class.php.

## Member Data Documentation

IpRange::$endIp = null`[private]`

Definition at line 18 of file IpRange.class.php.

IpRange::$startIp = null`[private]`

Definition at line 17 of file IpRange.class.php.

The documentation for this class was generated from the following file:

- main/Net/Ip/IpRange.class.php